﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Game08 : MonoBehaviour{

    public Transform target;
    public float speed;
    bool canMove = true;
    Vector3 start, end;
    int buttonsPressed;

    // Start is called before the first frame update
    void Start(){
        if (target != null){
            target.parent = null;
            start = transform.position;
            end = target.position;
        }
    }

    // Update is called once per frame
    void FixedUpdate(){
        if (target != null){
            if (canMove){
                float fixedSpeed = speed * Time.fixedDeltaTime;
                transform.position = Vector3.MoveTowards(transform.position, target.position, fixedSpeed);
            }
        }

        if (transform.position == target.position){
            target.position = (target.position == start) ? end : start;
        }
    }

    void OnTriggerStay2D(Collider2D col){
        if (Input.GetKeyDown(KeyCode.Space)){
            if(buttonsPressed < 3){
                if(buttonsPressed == 2){
                    FindObjectOfType<GameController>().CompleteLevel();
                    buttonsPressed += 1;
                    col.enabled = false;
                }else{
                    buttonsPressed += 1;
                    col.enabled = false;
                }
            }
        }
    }
}
